/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_MEDICO                                                   */
/* Tabela : MEDICO                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 28/10/2004 - Rafael dos Santos Lopes                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_MEDICO
BEFORE INSERT OR UPDATE OR DELETE
ON MEDICO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUMEDI := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NMMEDICO,0) <> NVL(:NEW.NMMEDICO,0)) OR
         (NVL(:OLD.DSESPMED,0) <> NVL(:NEW.DSESPMED,0)) OR
         (NVL(:OLD.NRRGMED,0) <> NVL(:NEW.NRRGMED,0))   OR
         (NVL(:OLD.IDSEXOMED,0) <> NVL(:NEW.IDSEXOMED,0)) OR
         (NVL(:OLD.DTNASCMED,TO_DATE('31/12/1899','DD/MM/YYYY')) <>
          NVL(:NEW.DTNASCMED,TO_DATE('31/12/1899','DD/MM/YYYY'))) OR
         (NVL(:OLD.DSCARGOMED,0) <> NVL(:NEW.DSCARGOMED,0)) OR
         (NVL(:OLD.NRCRMMED,0) <> NVL(:NEW.NRCRMMED,0)) THEN
         :NEW.DTULTATUMEDI := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('MEDICO', '', 'CDMEDICO='||:OLD.CDMEDICO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE MEDICO MODIFY DTULTATUMEDI DEFAULT SYSDATE
/

